Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2002417 - Review Request: libcamera - A library to support complex camera ISPs
Summary: Review Request: libcamera - A library to support complex camera ISPs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1738290 (view as bug list)
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2021-09-08 18:28 UTC by Javier Martinez Canillas
Modified: 2021-09-22 11:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-22 11:49:42 UTC
Type: Bug
Embargoed:
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Javier Martinez Canillas 2021-09-08 18:28:31 UTC
SPEC: https://javierm.fedorapeople.org/pkgs/libcamera/libcamera.spec
SRPM: https://javierm.fedorapeople.org/pkgs/libcamera/libcamera-0.0.0-0.1.20210908git39c2d5dc95e.fc36.src.rpm

Description:
libcamera is a library that deals with heavy hardware image processing
operations of complex camera devices that are shared between the linux
host all while allowing offload of certain aspects to the control of
complex camera hardware such as ISPs.

Hardware support includes USB UVC cameras, libv4l cameras as well as more
complex ISPs (Image Signal Processor).

FAS: javierm

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=75353887

Comment 1 Javier Martinez Canillas 2021-09-08 18:29:55 UTC
*** Bug 1738290 has been marked as a duplicate of this bug. ***

Comment 2 Neal Gompa 2021-09-08 20:17:56 UTC
Taking this review.

Comment 3 Javier Martinez Canillas 2021-09-09 12:13:46 UTC
Noticed that my koji build was only for x86_64, here is one for all the arches:

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=75402964

Comment 4 Neal Gompa 2021-09-09 13:37:32 UTC
> * Wed Sep 08 2021 Peter Robinson <pbrobinson> - 0.0.0-0.1.20210908git39c2d5dc95e

Please update the changelog author.

Comment 5 Javier Martinez Canillas 2021-09-09 15:59:11 UTC
(In reply to Neal Gompa from comment #4)
> > * Wed Sep 08 2021 Peter Robinson <pbrobinson> - 0.0.0-0.1.20210908git39c2d5dc95e
> 
> Please update the changelog author.

Done. I left Peter's name in the changelog entry because I based on the work he
did on bug 1738290 and wanted to give him a proper attribution.

But makes much more sense what you suggested to keep the original entry and add
another one with the changes introduced by me. Will update the spec file and SRPM.

Comment 8 Neal Gompa 2021-09-10 13:00:50 UTC
> Version: 0.0.0
> Release: %{rel_major}.%{rel_minor}%{?snapshot:.%{snapshotdate}git%{snapshot}}%{?dist}

Please consider using more contemporary snapshot versioning: https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_complex_versioning

You can see an example of this here: https://src.fedoraproject.org/rpms/sdl12-compat/blob/e1fcdfe683b61257eb65a6bf679ad02ae5dda8ee/f/sdl12-compat.spec

Comment 9 Javier Martinez Canillas 2021-09-13 09:51:34 UTC
(In reply to Neal Gompa from comment #8)
> > Version: 0.0.0
> > Release: %{rel_major}.%{rel_minor}%{?snapshot:.%{snapshotdate}git%{snapshot}}%{?dist}
> 
> Please consider using more contemporary snapshot versioning:
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/
> #_complex_versioning
> 
> You can see an example of this here:
> https://src.fedoraproject.org/rpms/sdl12-compat/blob/
> e1fcdfe683b61257eb65a6bf679ad02ae5dda8ee/f/sdl12-compat.spec

Thanks for the pointers, I've changed it to the following then:

Version: 0.0.0~git.%{commitdate}.%{shortcommit}
Release: 1%{?dist}

Comment 11 Neal Gompa 2021-09-13 13:18:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 19496960 bytes in 1740 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GNU General Public License, Version 2",
     "Unknown or generated", "*No copyright* MIT License GNU Lesser General
     Public License, Version 2.1 GNU General Public License, Version 2
     Creative Commons Attribution-ShareAlike 4.0 Apache License 2.0", "*No
     copyright* Creative Commons Attribution-ShareAlike 4.0", "*No
     copyright* GNU Lesser General Public License, Version 2.1 Creative
     Commons CC0 1.0", "*No copyright* Creative Commons CC0 1.0", "MIT
     License BSD 3-Clause License BSD 2-Clause License", "*No copyright*
     Apache License 2.0", "BSD 2-Clause License", "BSD 3-Clause License",
     "GNU General Public License, Version 2", "GNU Lesser General Public
     License, Version 2.1", "GNU Lesser General Public License, Version 2.1
     [generated file]", "*No copyright* GNU General Public License, Version
     2 Creative Commons CC0 1.0", "Creative Commons Attribution-ShareAlike
     4.0", "BSD 3-Clause License GNU General Public License v2.0 or later",
     "GNU General Public License, Version 2 [obsolete FSF postal address
     (Temple Place)]", "GNU General Public License, Version 2 [generated
     file]", "Apache License 2.0", "*No copyright* GNU Lesser General
     Public License, Version 2.1", "*No copyright* BSD 2-Clause License",
     "*No copyright* [generated file]". 360 files have unknown license.
     Detailed output of licensecheck in
     /home/ngompa/2002417-libcamera/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libcamera-docs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (debuginfo)
-------------------
Cannot parse rpmlint output:



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
libcamera-ipa: /usr/lib64/libcamera/ipa_ipu3.so
libcamera-ipa: /usr/lib64/libcamera/ipa_rkisp1.so
libcamera-ipa: /usr/lib64/libcamera/ipa_rpi.so
libcamera-ipa: /usr/lib64/libcamera/ipa_vimc.so
libcamera-gstreamer: /usr/lib64/gstreamer-1.0/libgstlibcamera.so

Requires
--------
libcamera (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libcamera-base.so.0.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgnutls.so.30()(64bit)
    libgnutls.so.30(GNUTLS_3_4)(64bit)
    liblttng-ust.so.0()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.7)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    rtld(GNU_HASH)

libcamera-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libcamera(x86-64)
    libcamera-base.so.0.1()(64bit)
    libcamera.so.0.1()(64bit)
    pkgconfig(libcamera-base)

libcamera-docs (rpmlib, GLIBC filtered):

libcamera-ipa (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcamera(x86-64)
    libcamera-base.so.0.1()(64bit)
    libcamera.so.0.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

libcamera-tools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcamera(x86-64)
    libcamera-base.so.0.1()(64bit)
    libcamera.so.0.1()(64bit)
    libevent-2.1.so.7()(64bit)
    libevent_pthreads-2.1.so.7()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgtest.so.1.11.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

libcamera-qcam (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libcamera(x86-64)
    libcamera-base.so.0.1()(64bit)
    libcamera.so.0.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    rtld(GNU_HASH)

libcamera-gstreamer (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcamera(x86-64)
    libcamera-base.so.0.1()(64bit)
    libcamera.so.0.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstallocators-1.0.so.0()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstvideo-1.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

libcamera-debuginfo (rpmlib, GLIBC filtered):

libcamera-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libcamera:
    libcamera
    libcamera(x86-64)
    libcamera-base.so.0.1()(64bit)
    libcamera.so.0.1()(64bit)

libcamera-devel:
    libcamera-devel
    libcamera-devel(x86-64)
    pkgconfig(libcamera)
    pkgconfig(libcamera-base)

libcamera-docs:
    libcamera-docs

libcamera-ipa:
    libcamera-ipa
    libcamera-ipa(x86-64)

libcamera-tools:
    libcamera-tools
    libcamera-tools(x86-64)

libcamera-qcam:
    libcamera-qcam
    libcamera-qcam(x86-64)

libcamera-gstreamer:
    gstreamer1(element-libcamerasrc)()(64bit)
    libcamera-gstreamer
    libcamera-gstreamer(x86-64)
    libgstlibcamera.so()(64bit)

libcamera-debuginfo:
    debuginfo(build-id)
    libcamera-base.so.0.1-0.0.0~git.20210908.39c2d5d-1.fc36.x86_64.debug()(64bit)
    libcamera-debuginfo
    libcamera-debuginfo(x86-64)
    libcamera.so.0.1-0.0.0~git.20210908.39c2d5d-1.fc36.x86_64.debug()(64bit)

libcamera-debugsource:
    libcamera-debugsource
    libcamera-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2002417 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Python, Haskell, PHP, Ocaml, R, fonts, SugarActivity, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 12 Neal Gompa 2021-09-13 13:28:38 UTC
(In reply to Neal Gompa from comment #11)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Large documentation must go in a -doc subpackage. Large could be size
>   (~1MB) or number of files.
>   Note: Documentation size is 19496960 bytes in 1740 files.
>   See: https://docs.fedoraproject.org/en-US/packaging-
>   guidelines/#_documentation
> 
> 


I'm pretty sure this is because it doesn't recognize -docs as a documentation subpackage. Meh.

> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> [x]: If your application is a C or C++ application you must list a
>      BuildRequires against gcc, gcc-c++ or clang.
> [x]: Header files in -devel subpackage, if present.
> [x]: ldconfig not called in %post and %postun for Fedora 28 and later.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "*No copyright* GNU General Public License, Version 2",
>      "Unknown or generated", "*No copyright* MIT License GNU Lesser General
>      Public License, Version 2.1 GNU General Public License, Version 2
>      Creative Commons Attribution-ShareAlike 4.0 Apache License 2.0", "*No
>      copyright* Creative Commons Attribution-ShareAlike 4.0", "*No
>      copyright* GNU Lesser General Public License, Version 2.1 Creative
>      Commons CC0 1.0", "*No copyright* Creative Commons CC0 1.0", "MIT
>      License BSD 3-Clause License BSD 2-Clause License", "*No copyright*
>      Apache License 2.0", "BSD 2-Clause License", "BSD 3-Clause License",
>      "GNU General Public License, Version 2", "GNU Lesser General Public
>      License, Version 2.1", "GNU Lesser General Public License, Version 2.1
>      [generated file]", "*No copyright* GNU General Public License, Version
>      2 Creative Commons CC0 1.0", "Creative Commons Attribution-ShareAlike
>      4.0", "BSD 3-Clause License GNU General Public License v2.0 or later",
>      "GNU General Public License, Version 2 [obsolete FSF postal address
>      (Temple Place)]", "GNU General Public License, Version 2 [generated
>      file]", "Apache License 2.0", "*No copyright* GNU Lesser General
>      Public License, Version 2.1", "*No copyright* BSD 2-Clause License",
>      "*No copyright* [generated file]". 360 files have unknown license.
>      Detailed output of licensecheck in
>      /home/ngompa/2002417-libcamera/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [x]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [!]: Package contains desktop file if it is a GUI application.

The libcamera-qcam package needs a desktop file for qcam binary, and probably also an AppStream metainfo file.

> [x]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package must not depend on deprecated() packages.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      libcamera-docs
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> [-]: SourceX tarball generation or download is documented.
>      Note: Package contains tarball without URL, check comments
> [-]: Sources are verified with gpgverify first in %prep if upstream
>      publishes signatures.
>      Note: gpgverify is not used.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: The placement of pkgconfig(.pc) files are correct.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on debuginfo package(s).
>      Note: There are rpmlint messages (see attachment).
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Cannot parse rpmlint output:
> 
> 
> Rpmlint (debuginfo)
> -------------------
> Cannot parse rpmlint output:
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> Cannot parse rpmlint output:
> 
> 

I'm not sure what's up with this, but I ran rpmlint manually, and the only "real" error was this:

libcamera.x86_64: E: shlib-policy-name-error 0.1
libcamera.x86_64: E: shlib-policy-name-error 0.1

Since you're manually forcing this, I think it's probably fine.

Comment 13 Javier Martinez Canillas 2021-09-14 11:28:35 UTC
(In reply to Neal Gompa from comment #12)
> (In reply to Neal Gompa from comment #11)

[snip]
 
> I'm pretty sure this is because it doesn't recognize -docs as a
> documentation subpackage. Meh.

I've renamed the subpackage to "libcamera-doc". Would that help ?

[snip]

> > [x]: Sources contain only permissible code or content.
> > [!]: Package contains desktop file if it is a GUI application.
> 
> The libcamera-qcam package needs a desktop file for qcam binary, and
> probably also an AppStream metainfo file.
>

Ok, added a Desktop Entry [0] and AppStream metainfo [1] files. I've never
written those before, so please let me know if some wording isn't correct.

[0]: https://javierm.fedorapeople.org/pkgs/libcamera/qcam.desktop
[1]: https://javierm.fedorapeople.org/pkgs/libcamera/qcam.appdata.xml

[snip]
 
> > 
> > Rpmlint (installed packages)
> > ----------------------------
> > Cannot parse rpmlint output:
> > 
> > 
> 
> I'm not sure what's up with this, but I ran rpmlint manually, and the only
> "real" error was this:
> 
> libcamera.x86_64: E: shlib-policy-name-error 0.1
> libcamera.x86_64: E: shlib-policy-name-error 0.1
> 
> Since you're manually forcing this, I think it's probably fine.

Hmm, any hints on what can I do to make those errors to go away ?

Comment 15 Neal Gompa 2021-09-14 19:35:13 UTC
(In reply to Javier Martinez Canillas from comment #13)
> (In reply to Neal Gompa from comment #12)
> > (In reply to Neal Gompa from comment #11)
> 
> [snip]
>  
> > I'm pretty sure this is because it doesn't recognize -docs as a
> > documentation subpackage. Meh.
> 
> I've renamed the subpackage to "libcamera-doc". Would that help ?
> 
> [snip]
> 
> > > [x]: Sources contain only permissible code or content.
> > > [!]: Package contains desktop file if it is a GUI application.
> > 
> > The libcamera-qcam package needs a desktop file for qcam binary, and
> > probably also an AppStream metainfo file.
> >
> 
> Ok, added a Desktop Entry [0] and AppStream metainfo [1] files. I've never
> written those before, so please let me know if some wording isn't correct.
> 
> [0]: https://javierm.fedorapeople.org/pkgs/libcamera/qcam.desktop
> [1]: https://javierm.fedorapeople.org/pkgs/libcamera/qcam.appdata.xml
> 
> [snip]
>  

LGTM.

> > > 
> > > Rpmlint (installed packages)
> > > ----------------------------
> > > Cannot parse rpmlint output:
> > > 
> > > 
> > 
> > I'm not sure what's up with this, but I ran rpmlint manually, and the only
> > "real" error was this:
> > 
> > libcamera.x86_64: E: shlib-policy-name-error 0.1
> > libcamera.x86_64: E: shlib-policy-name-error 0.1
> > 
> > Since you're manually forcing this, I think it's probably fine.
> 
> Hmm, any hints on what can I do to make those errors to go away ?

Actually, I think this error is an rpmlint policy error, so you can ignore it.

Comment 16 Neal Gompa 2021-09-14 19:37:31 UTC
> %{_datadir}/appdata/qcam.appdata.xml

This should be in %{_metainfodir} and called "qcam.metainfo.xml"

Comment 17 Javier Martinez Canillas 2021-09-14 20:13:25 UTC
(In reply to Neal Gompa from comment #16)
> > %{_datadir}/appdata/qcam.appdata.xml
> 
> This should be in %{_metainfodir} and called "qcam.metainfo.xml"

Right, I actually meant to use %{_metainfodir} first but then did a
copy & paste error. I've also renamed the AppStream metainfo file.

Thanks again!

Comment 19 Neal Gompa 2021-09-15 03:50:59 UTC
> %{_metainfodir}/appdata/qcam.metainfo.xml

It's just "%{_metainfodir}/qcam.metainfo.xml"

Comment 20 Javier Martinez Canillas 2021-09-15 05:13:10 UTC
(In reply to Neal Gompa from comment #19)
> > %{_metainfodir}/appdata/qcam.metainfo.xml
> 
> It's just "%{_metainfodir}/qcam.metainfo.xml"

gah, of course. Sorry about that.

It's what I get for using sed instead of editing the file.

Comment 22 Neal Gompa 2021-09-15 13:03:09 UTC
Everything looks good to me now, so...

PACKAGE APPROVED.

Comment 23 Javier Martinez Canillas 2021-09-15 21:36:14 UTC
(In reply to Neal Gompa from comment #22)
> Everything looks good to me now, so...
> 
> PACKAGE APPROVED.

Thanks a lot for all your feedback and patience with this!

Comment 24 Igor Raits 2021-09-20 11:58:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libcamera


Note You need to log in before you can comment on or make changes to this bug.